package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.OdsInventoryOrder;

/**
 * 包材盘点单Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public interface OdsInventoryOrderMapper {
	/**
	 * 查询包材盘点单
	 * 
	 * @param ID 包材盘点单主键
	 * @return 包材盘点单
	 */
	public OdsInventoryOrder selectOdsInventoryOrderByID(String ID);

	/**
	 * 查询包材盘点单列表
	 * 
	 * @param odsInventoryOrder 包材盘点单
	 * @return 包材盘点单集合
	 */
	public List<OdsInventoryOrder> selectOdsInventoryOrderList(OdsInventoryOrder odsInventoryOrder);

	/**
	 * 新增包材盘点单
	 * 
	 * @param odsInventoryOrder 包材盘点单
	 * @return 结果
	 */
	public int insertOdsInventoryOrder(OdsInventoryOrder odsInventoryOrder);

	/**
	 * 修改包材盘点单
	 * 
	 * @param odsInventoryOrder 包材盘点单
	 * @return 结果
	 */
	public int updateOdsInventoryOrder(OdsInventoryOrder odsInventoryOrder);

	/**
	 * 删除包材盘点单
	 * 
	 * @param ID 包材盘点单主键
	 * @return 结果
	 */
	public int deleteOdsInventoryOrderByID(String ID);

	/**
	 * 批量删除包材盘点单
	 * 
	 * @param IDs 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteOdsInventoryOrderByIDs(String[] IDs);
}
